.postContainer {
  display: flex;
  max-width: 900px;
  margin: 1em 2em;
  border: 1px solid rgb(239, 239, 239);
}
.post-image {
  width: 65%;
}
.post-image img {
  width: 100%;
  height: 100%;
}

.post-info {
  width: 35%;
  padding: 1em 0;
  display: flex;
  flex-direction: column;
}
.post-info-username {
  border-bottom: 1px solid rgb(239, 239, 239);
  padding-left: 1em;
  font-weight: bold;
}
.post-info-comment {
  /* change this */
  min-height: 350px;
  max-height: 350px;
  overflow-y: scroll;
  padding-left: 1em;
  border-bottom: 1px solid rgb(239, 239, 239);
}
.post-info-comment-item {
  margin: 1em 0;
}
.post-info-details {
  padding: 1em;
  border-bottom: 1px solid rgb(239, 239, 239);
  display: flex;
  font-size: 1.2rem;
  font-weight: bold;
}
.post-info-details-like,
.post-info-details-comment {
  display: flex;
  margin: 0 1em;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.post-info-details-like p,
.post-info-details-comment p {
  margin: 0 1em;
}

.post-info-comment-input {
  padding: 0 1em;
  margin-top: 1em;
  border-bottom: 1px solid rgb(239, 239, 239);
  display: flex;
  justify-content: space-between;
}

.post-info-comment-input span {
  cursor: pointer;
  background-color: rgb(229, 226, 226);
  padding: 0.5em 1em;
}

/* loader */

.lds-spinner {
  color: official;
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-spinner div {
  transform-origin: 40px 40px;
  animation: lds-spinner 1.2s linear infinite;
}
.lds-spinner div:after {
  content: " ";
  display: block;
  position: absolute;
  top: 3px;
  left: 37px;
  width: 6px;
  height: 18px;
  border-radius: 20%;
  background: #000;
}
.lds-spinner div:nth-child(1) {
  transform: rotate(0deg);
  animation-delay: -1.1s;
}
.lds-spinner div:nth-child(2) {
  transform: rotate(30deg);
  animation-delay: -1s;
}
.lds-spinner div:nth-child(3) {
  transform: rotate(60deg);
  animation-delay: -0.9s;
}
.lds-spinner div:nth-child(4) {
  transform: rotate(90deg);
  animation-delay: -0.8s;
}
.lds-spinner div:nth-child(5) {
  transform: rotate(120deg);
  animation-delay: -0.7s;
}
.lds-spinner div:nth-child(6) {
  transform: rotate(150deg);
  animation-delay: -0.6s;
}
.lds-spinner div:nth-child(7) {
  transform: rotate(180deg);
  animation-delay: -0.5s;
}
.lds-spinner div:nth-child(8) {
  transform: rotate(210deg);
  animation-delay: -0.4s;
}
.lds-spinner div:nth-child(9) {
  transform: rotate(240deg);
  animation-delay: -0.3s;
}
.lds-spinner div:nth-child(10) {
  transform: rotate(270deg);
  animation-delay: -0.2s;
}
.lds-spinner div:nth-child(11) {
  transform: rotate(300deg);
  animation-delay: -0.1s;
}
.lds-spinner div:nth-child(12) {
  transform: rotate(330deg);
  animation-delay: 0s;
}
@keyframes lds-spinner {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@media screen and (max-width: 800px) {
  .post-image {
    width: 100%;
  }
  .postContainer {
    flex-direction: column;
    align-items: center;
  }
  .post-info-details {
    padding: 0;
    justify-content: center;
  }
  .post-info-comment,
  .post-info-comment-input {
    display: none;
  }
}
